FROM golang:1.23 AS builder
WORKDIR /build
COPY . ./
RUN GOPROXY=https://goproxy.cn go mod download
RUN CGO_ENABLED=0 GOARCH=amd64 GOOS=linux go build -o out/app

FROM zabbix/zabbix-agent2:ubuntu-7.0-latest
COPY --from=builder /build/out/app /usr/sbin/zabbix-agent2-plugin/onvif-agent
RUN echo "Plugins.ONVIF.System.Path=/usr/sbin/zabbix-agent2-plugin/onvif-agent" >> /etc/zabbix/zabbix_agent2.d/plugins.d/onvif.conf
